Webhook deliveries

Webhook deliveries: 2 operations of the ChaosDesk REST API.

Retrieves the collection of WebhookDelivery resources.

GET/api/webhook_deliveries

Parameters

pageintegerquery
The collection page number
itemsPerPageintegerquery
The number of items per page
webhookstringquery
webhook[]string[]query
statusstringquery
status[]string[]query
event_typestringquery
event_type[]string[]query
ticket_idstringquery
ticket_id[]string[]query

Responses

  • 200WebhookDelivery collection
  • 403Forbidden

Example request

curl -X GET "https://yourcompany.chaosdesk.io/api/webhook_deliveries" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"

Retrieves a WebhookDelivery resource.

GET/api/webhook_deliveries/{id}

Parameters

idstringpathrequired
WebhookDelivery identifier

Responses

  • 200WebhookDelivery resource
  • 403Forbidden
  • 404Not found

Example request

curl -X GET "https://yourcompany.chaosdesk.io/api/webhook_deliveries/{id}" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"